Name:           aterm
Version:        1.0.1
Release:        %mkrel 15
Summary:        A terminal emulator with pleasant visual effects
License:        GPLv2
Group:          Terminals
URL:            http://aterm.sourceforge.net/
Source0:        ftp://ftp.afterstep.org/apps/aterm/%{name}-%{version}.tar.bz2
Source1:        %{name}.desktop
Patch0:         aterm-debuginfo.patch
Patch1:         aterm-stropts.patch
BuildRequires:  glibc-devel
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xt)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xinerama)
BuildRequires:  pkgconfig(ice)
BuildRequires:  pkgconfig(sm)
BuildRequires:  pkgconfig(librsvg-2.0)
BuildRequires:  libglib2-devel
BuildRequires:  libgdk_pixbuf2.0-devel
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(libtiff-4)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  afterstep-devel
BuildRequires:  freetype-devel
BuildRequires:  afterstep
BuildRequires:  findutils
BuildRequires:  sed
BuildRequires:  perl

%description
Aterm is designed to provide pleasing visual effects, while performing
such a mundane function as terminal emulation under X. It is largely
based on RXVT code. Several points set it apart from other similar
applications such as fast pseudo-transparency, optional off-focus
fading of text or when aterm looses focus its contents is
dimmed. Aterm do things like semitransparent gradient background,
supports JPEG, PNG and other images format as background, and more.

%prep
%setup -q
%patch0 -b.debuginfo
%patch1 -b.stropts

%build
%configure  --enable-fading           \
                --enable-background-image \
                --enable-graphics         \
                --enable-half-shadow
%make_build

%install
%make_install INSTALL_PROGRAM="/usr/bin/install -c -m 755"
install -D -m 644 %{SOURCE1} %{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%doc INSTALL ChangeLog
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_datadir}/applications/%{name}.desktop


%changelog
* Mon Jun 29 2020 joequant <joequant> 1.0.1-15.mga8
+ Revision: 1600424
- remove arm workaround

* Sat Feb 15 2020 umeabot <umeabot> 1.0.1-14.mga8
+ Revision: 1528460
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Aug 20 2019 daviddavid <daviddavid> 1.0.1-13.mga8
+ Revision: 1430649
- add fedora patch to fix build with new glibc

* Fri Sep 21 2018 umeabot <umeabot> 1.0.1-12.mga7
+ Revision: 1295006
- Mageia 7 Mass Rebuild

* Mon Jun 18 2018 wally <wally> 1.0.1-11.mga7
+ Revision: 1237812
- fix build on aarch64

* Wed Feb 10 2016 umeabot <umeabot> 1.0.1-10.mga6
+ Revision: 953108
- Mageia 6 Mass Rebuild

* Wed Sep 16 2015 tv <tv> 1.0.1-9.mga6
+ Revision: 879951
- really fix debuginfo
- reenable debuginfo & fix empty debuginfo (patch 0)

* Wed Sep 09 2015 neoclust <neoclust> 1.0.1-8.mga6
+ Revision: 874985
- Fix build with new rpm ( empty debuginfo)

* Wed Oct 15 2014 umeabot <umeabot> 1.0.1-7.mga5
+ Revision: 746824
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.1-6.mga5
+ Revision: 678017
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.1-5.mga4
+ Revision: 502926
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.0.1-4.mga3
+ Revision: 346523
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Aug 29 2012 eatdirt <eatdirt> 1.0.1-3.mga3
+ Revision: 285392
- Remove unnecessary Conflicts with ncurses-extraterms

* Sat Mar 17 2012 fwang <fwang> 1.0.1-2.mga2
+ Revision: 223753
- fix br according to new afterstep name

* Tue Oct 11 2011 eatdirt <eatdirt> 1.0.1-1.mga2
+ Revision: 153832
- imported package aterm

